Newer Version Available
List View Describe
Returns detailed information about a list view, including the ID, the columns, and the
SOQL query.
This resource is available in REST API version 32.0 and later.
- URI
- /services/vXX.X/sobjects/sobjectType/listviews/queryLocator/describe
- Formats
- JSON, XML
- HTTP Method
- GET
- Authentication
- Authorization: Bearer token
- Parameters
- None
Example
- Retrieving information about a list view
-
1curl https://yourInstance.salesforce.com/services/data/v51.0/sobjects/Account/listviews/00BD0000005WcBeMAK/describe -H "Authorization: Bearer token" - JSON Response body
-
1{ 2 "columns" : [ { 3 "ascendingLabel" : "Z-A", 4 "descendingLabel" : "A-Z", 5 "fieldNameOrPath" : "Name", 6 "hidden" : false, 7 "label" : "Account Name", 8 "selectListItem" : "Name", 9 "sortDirection" : "ascending", 10 "sortIndex" : 0, 11 "sortable" : true, 12 "type" : "string" 13 }, { 14 "ascendingLabel" : "Z-A", 15 "descendingLabel" : "A-Z", 16 "fieldNameOrPath" : "Site", 17 "hidden" : false, 18 "label" : "Account Site", 19 "selectListItem" : "Site", 20 "sortDirection" : null, 21 "sortIndex" : null, 22 "sortable" : true, 23 "type" : "string" 24 }, { 25 "ascendingLabel" : "Z-A", 26 "descendingLabel" : "A-Z", 27 "fieldNameOrPath" : "BillingState", 28 "hidden" : false, 29 "label" : "Billing State/Province", 30 "selectListItem" : "BillingState", 31 "sortDirection" : null, 32 "sortIndex" : null, 33 "sortable" : true, 34 "type" : "string" 35 }, { 36 "ascendingLabel" : "9-0", 37 "descendingLabel" : "0-9", 38 "fieldNameOrPath" : "Phone", 39 "hidden" : false, 40 "label" : "Phone", 41 "selectListItem" : "Phone", 42 "sortDirection" : null, 43 "sortIndex" : null, 44 "sortable" : true, 45 "type" : "phone" 46 }, { 47 "ascendingLabel" : "Low to High", 48 "descendingLabel" : "High to Low", 49 "fieldNameOrPath" : "Type", 50 "hidden" : false, 51 "label" : "Type", 52 "selectListItem" : "toLabel(Type)", 53 "sortDirection" : null, 54 "sortIndex" : null, 55 "sortable" : true, 56 "type" : "picklist" 57 }, { 58 "ascendingLabel" : "Z-A", 59 "descendingLabel" : "A-Z", 60 "fieldNameOrPath" : "Owner.Alias", 61 "hidden" : false, 62 "label" : "Account Owner Alias", 63 "selectListItem" : "Owner.Alias", 64 "sortDirection" : null, 65 "sortIndex" : null, 66 "sortable" : true, 67 "type" : "string" 68 }, { 69 "ascendingLabel" : null, 70 "descendingLabel" : null, 71 "fieldNameOrPath" : "Id", 72 "hidden" : true, 73 "label" : "Account ID", 74 "selectListItem" : "Id", 75 "sortDirection" : null, 76 "sortIndex" : null, 77 "sortable" : false, 78 "type" : "id" 79 }, { 80 "ascendingLabel" : null, 81 "descendingLabel" : null, 82 "fieldNameOrPath" : "CreatedDate", 83 "hidden" : true, 84 "label" : "Created Date", 85 "selectListItem" : "CreatedDate", 86 "sortDirection" : null, 87 "sortIndex" : null, 88 "sortable" : false, 89 "type" : "datetime" 90 }, { 91 "ascendingLabel" : null, 92 "descendingLabel" : null, 93 "fieldNameOrPath" : "LastModifiedDate", 94 "hidden" : true, 95 "label" : "Last Modified Date", 96 "selectListItem" : "LastModifiedDate", 97 "sortDirection" : null, 98 "sortIndex" : null, 99 "sortable" : false, 100 "type" : "datetime" 101 }, { 102 "ascendingLabel" : null, 103 "descendingLabel" : null, 104 "fieldNameOrPath" : "SystemModstamp", 105 "hidden" : true, 106 "label" : "System Modstamp", 107 "selectListItem" : "SystemModstamp", 108 "sortDirection" : null, 109 "sortIndex" : null, 110 "sortable" : false, 111 "type" : "datetime" 112 } ], 113 "id" : "00BD0000005WcBe", 114 "orderBy" : [ { 115 "fieldNameOrPath" : "Name", 116 "nullsPosition" : "first", 117 "sortDirection" : "ascending" 118 }, { 119 "fieldNameOrPath" : "Id", 120 "nullsPosition" : "first", 121 "sortDirection" : "ascending" 122 } ], 123 "query" : "SELECT name, site, billingstate, phone, tolabel(type), owner.alias, id, createddate, lastmodifieddate, systemmodstamp FROM Account WHERE CreatedDate = THIS_WEEK ORDER BY Name ASC NULLS FIRST, Id ASC NULLS FIRST", 124 "scope" : null, 125 "sobjectType" : "Account", 126 "whereCondition" : { 127 "field" : "CreatedDate", 128 "operator" : "equals", 129 "values" : [ "THIS_WEEK" ] 130 } 131}